class State {
    constructor() {
        this.states = new Map();
    }

    get(key) {
        if (!this.states.has(key)) {
            return null;
        }
        return this.states.get(key);
    }

    set(key, value) {
        return this.states.set(key, value);
    }
}

export default new State();